package Lang;

import File;
our @ISA = ("File");

sub transform {
  my $self = shift;
  $self->SUPER::transform();

  # On cre une expression rgulire pour mettre les mots-clefs en gras
  my @keywords = $self->keywords();
  my $k;
  my $eval = '$k = qr{\b('. join('|',@keywords) .')\b};';
  eval $eval;
#  print STDERR "DEBUG EVAL: $eval\n";
#  print STDERR "DEBUG EVAL: $@\n";

  my @new =();
  foreach my $l (@{ $self->{DATA} }){
    chomp($l);
    $l =~ s/\s*$//;
    $l = Misc::texify($l);
    $l =~ s/\s/\\ /g;

    # On spare les commentaires du reste
    my ($code, $comments);
    if( $l =~ m/^\s*\#/ ){ $code = ""; $comments = $l; }
    elsif( $l =~ m/(.*?[^a-z])(\#.*)/ ){ $code = $1; $comments = $2; }
    else { $code = $l; $comments = ""; }

    $code =~ s/$k/\\textbf\{$1\}/g;
    push @new, "\\mbox{}$code$comments\n";
  }
  $self->{DATA} = [@new];
}


package Lang::Perl;
import Lang;
our @ISA=("Lang");
sub beforebegindocument { () }
sub afterbegindocument { qw/\obeylines\ttfamily/ }
sub beforeenddocument { () }
sub keywords { qw/
  package
  use
  our
  sub
  my
  for
  foreach
  while
  print
  open
  close
  die
  warn
  eval
  opendir
  chdir
  mkdir
  stat
  system
  bless
  return
  unlink
  import
  require
  last
  next
  if
  else
  elsif
  do
  unless
  defined
  undef
  shift
  pop
  unshift
  push
  exists
  chr
  hex
  not
  and
  or
  eq
  keys
  exit
  /
}

