package Mail;
import File;
our @ISA = ("File");

sub beforebegindocument { () }
sub afterbegindocument { qw/\obeylines/ }
sub beforeenddocument { () }

sub transform {
  my $self = shift;
  $self->SUPER::transform();

  my @new = ();
  my $head = FALSE;
  my $skip = FALSE;
  my $first = FALSE;
  foreach my $l (@{ $self->{DATA} }){
    $head = TRUE if $l =~ m/^(From\s|Path:)/;
    $first = FALSE;
    $first = TRUE if $l =~ m/^From\s/;
    $head = FALSE if $l =~ m/^\s*$/;
    $l = Misc::texify($l);
    if( $head ){
      $skip = FALSE if $l =~ m/^[A-Z]/;
      $skip = TRUE if ($l =~ m/^[A-Z]/) and not
	($l =~ m/^(From|Subject|Date|CC|To)/);
      $l =~ s/^([A-Z][-A-Za-z]*:)/\\textbf\{$1\}/;

      # A FAIRE :  Subject: =?iso-8859-1?Q?RAPPEL_conf=E9rence_Manin?= 
      if( $l =~ m/(.*)\=\?iso\-8859\-1\?Q\?(.*)\?\=(.*)/ ){
	my ($avant, $milieu, $apres) = ($1, $2, $3);
	$milieu =~ s/\=([0-9A-F][0-9A-F])/chr(hex($1))/ge;
	$l = "$avant$milieu$apres";
      }

      $l = '\mbox{}\llap{$\bullet$\ \ }' . $l if $first;
      push @new, $l unless $skip;
    } else {
      $l =~ s/ /\\ /g;
      $l =~ s/^/\\mbox\{\}/;
      push @new, $l;
    }
  }
  $self->{DATA} = [@new];
}

