package Start;

# Lecture des options
use Getopt::Long;
use Pod::Usage;
our %optctl;

sub read_the_options {
  GetOptions(\%optctl,
	     "out=s",
	     "in=s",
	     "help",
	     "man",
	    ) || pod2usage(-exitstatus => 2);

  $optctl{out} = "lpr" unless exists $optctl{out};

  foreach my $k (keys %optctl) {
    print STDERR "  Option $k: $optctl{$k}\n";
  }

  pod2usage(-exitstatus => 0) if exists $optctl{help};
  pod2usage(-exitstatus => 0, -verbose => 2) if exists $optctl{man};
}

sub usage {
  print <<EOF;
imprime.pl version VERSION
(C) 1995--2001 Vincent Zoonekynd <zoonek\@math.jussieu.fr>
imprime.pl comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions, detailed in the source file.

usage: $0 --in=(Lang::Perl|Mail|Unknown) --out=(tex|dvi|xdvi|ps|lpr) file

EOF
  exit 0;
}

